Subject: Re: use generic DMA mapping code in powerpc V4

From: Christoph Hellwig <[email-masked]>
Date: Thu, 13 Dec 2018 10:10:21 +0100

On Thu, Dec 13, 2018 at 09:41:50AM +0100, Christian Zigotzky wrote:
> Today I tried the first patch (0001-get_required_mask.patch) with the last 
> good commit (977706f9755d2d697aa6f45b4f9f0e07516efeda). Unfortunately this 
> patch is already included in the last good commit 
> (977706f9755d2d697aa6f45b4f9f0e07516efeda). I will try the next patch.

Hmm, I don't think this is the case.  This is my local git log output:

commit 83a4b87de6bc6a75b500c9959de88e2157fbcd7c
Author: Christoph Hellwig <[email-masked]>
Date:   Wed Dec 12 15:07:49 2018 +0100

    get_required_mask

commit 977706f9755d2d697aa6f45b4f9f0e07516efeda
Author: Christoph Hellwig <[email-masked]>
Date:   Sat Nov 10 22:34:27 2018 +0100

    powerpc/dma: remove dma_nommu_mmap_coherent

I've also pushed a git branch with these out to:

    git://git.infradead.org/users/hch/misc.git powerpc-dma.5-debug